<table>
    <thead>
        <tr>
            <th>{{ _("result_details.quantitative_scores.label.trait") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.average_raw_score") }}</th>
            <th>{{ _("results.1d.subtraits.label.description") }}</th>
        </tr>
    </thead>
    <tbody>
        {% for abbr, rawscore in traits %}
            {% set rawscore = round(rawscore, 1) %}
            {% set maintrait_class = 'maintrait' if score.utils.is_maintrait(abbr) %}
            {% set highest_class = 'highest' if score.is_subtrait_high(abbr) else '' %}
            {% set lowest_class = 'lowest' if score.is_subtrait_low(abbr) else '' %}
            <tr class="{{ maintrait_class }} {{ highest_class }} {{ lowest_class }}">
                <th>{{ _("results.%s.label" % abbr) }}</th>
                <td>{{ rawscore }}</td>
                <td>{{ _("results.1d.subtraits.%s.%s.description" % (abbr, ('high' if score.is_subtrait_high(abbr) else 'low')))|markdown }}</td>
            </tr>
        {% endfor %}
    </tbody>
</table>
